Page MenuHomePhabricator

GuidedTour: Remove use of sync XHR - use mw.Api and async for parsing
Closed, ResolvedPublic

Description

This can be done by calling guiders.initGuider from within the callback function, rather than using onShow.

The onShow way would keep working, but become deprecated.

Details

Reference
bz44925

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 1:22 AM
bzimport set Reference to bz44925.
bzimport added a subscriber: Unknown Object (MLST).

There are also other interim approaches, such as allowing onShow to return a promise.

There's also a transition idea where parseDescription and getPageAsDescription are deprecated and used as markers to change the behavior (e.g. it can do an async call then initialize the guider when the async call completes).

Mattflaschen-WMF renamed this task from Use ResourceLoader API module and async for parsing to GuidedTour: Use mediawiki.api module and async for parsing.Feb 23 2015, 7:19 PM
Mattflaschen-WMF set Security to None.
Krinkle renamed this task from GuidedTour: Use mediawiki.api module and async for parsing to GuidedTour: Remove use of sync XHR - use mw.Api and async for parsing.Oct 5 2015, 7:33 PM
Krinkle updated the task description. (Show Details)
Krinkle added a project: Technical-Debt.
Krinkle removed a subscriber: wikibugs-l-list.

Change 276660 had a related patch set uploaded (by Mattflaschen):
mediawiki.api.parse: Allow parsing pages

https://gerrit.wikimedia.org/r/276660

Change 276689 had a related patch set uploaded (by Mattflaschen):
WIP: Use async API calls for wikitext parsing

https://gerrit.wikimedia.org/r/276689

Change 276660 merged by jenkins-bot:
mediawiki.api.parse: Allow parsing pages

https://gerrit.wikimedia.org/r/276660

Krinkle removed a subscriber: Krinkle.Apr 16 2016, 12:34 AM

Change 276689 merged by jenkins-bot:
Use async API calls for wikitext parsing

https://gerrit.wikimedia.org/r/276689

phuedx closed this task as Resolved.Aug 10 2016, 12:08 PM
phuedx added a subscriber: phuedx.